Package org.sonatype.plexus.components.sec.dispatcher

## Interface PasswordDecryptor

    public interface PasswordDecryptor

Version:
  $Id$
Author:
  Oleg Gusakov

### Field Summary

Fields
`static java.lang.String` `ROLE`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `decrypt​(java.lang.String str, java.util.Map attributes, java.util.Map config)` decrypt given encrypted string

### Field Detail

#### ROLE

    static final java.lang.String ROLE

### Method Detail

#### decrypt

    java.lang.String decrypt​(java.lang.String str,
                             java.util.Map attributes,
                             java.util.Map config)
                      throws SecDispatcherException

decrypt given encrypted string

Parameters:
  `str` - - string to decrypt
  `attributes` - - string attributes
  `config` - - configuration from settings-security.xml, if any
Returns:
  decrypted string
Throws:
  `SecDispatcherException`